
QGIS Application - Bug report #14765

attribute table from fresh created shp file only shows 'id' and NULL's

2016-05-04 08:09 AM - Richard Duivenvoorde

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22722

Description

Self compiled current master on Debian Testing  (only, 2.14.2 is behaving correctly).

To reproduce:

- open a project

- create a new polygon shp file, and give it three attributes: aaa, bbb, ccc

- add some features

- stop editing

- open de attribute table (with me in docked widget)

- you'll see all columns have 'id' header, and all values are NULL (see screenshot, though there I created just one attribute)

Data is ok, when you open it in another QGIS version.

Also you can show show labels (see second screenshot)

Related issues:

Related to QGIS Application - Bug report # 14766: Attribute table broken (dup... Closed 2016-05-04

Associated revisions

Revision ffcf655b - 2016-05-09 08:56 AM - Matthias Kuhn 

Don't always show first column in attribute table

Add tests for some basic attribute table functionality

Fix #14774

Fix #14765

Fix #14766

History

#1 - 2016-05-04 01:26 PM - Richard Duivenvoorde

- Target version set to Version 2.16

- Category set to Attribute table

#2 - 2016-05-04 02:59 PM - Nyall Dawson

- Priority changed from Normal to Severe/Regression

#3 - 2016-05-07 02:45 AM - zicke -

It seems that the relation reference widget is also broken: it only shows <NULL> in the combobox. Whereas it shows the values in 2.14.
#4 - 2016-05-08 11:57 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"ffcf655b850224c1299b8217acd9b1e30825ba73".
